JndiDANEFetcherFactory (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cert.dane.fetcher

## Class JndiDANEFetcherFactory

- java.lang.Object
- - org.bouncycastle.cert.dane.fetcher.JndiDANEFetcherFactory

- All Implemented Interfaces:
    DANEEntryFetcherFactory

      public class JndiDANEFetcherFactory
      extends java.lang.Object
      implements DANEEntryFetcherFactory

  A DANE entry fetcher implemented using JNDI.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JndiDANEFetcherFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DANEEntryFetcher` | `build(java.lang.String domainName)` Build an entry fetcher for the specified domain name.
    `JndiDANEFetcherFactory` | `setAuthoritative(boolean isAuthoritative)` Specify requests must be authoritative.
    `JndiDANEFetcherFactory` | `usingDNSServer(java.lang.String dnsServer)` Specify the dnsServer to use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JndiDANEFetcherFactory

          public JndiDANEFetcherFactory()

  - ### Method Detail

    - #### usingDNSServer

          public JndiDANEFetcherFactory usingDNSServer(java.lang.String dnsServer)

      Specify the dnsServer to use.
      Parameters:
        `dnsServer` - IP address/name of the dns server
      Returns:
        the current factory.

    - #### setAuthoritative

          public JndiDANEFetcherFactory setAuthoritative(boolean isAuthoritative)

      Specify requests must be authoritative.
      Parameters:
        `isAuthoritative` - true if requests must be authoritative, false otherwise.
      Returns:
        the current factory..

    - #### build

          public DANEEntryFetcher build(java.lang.String domainName)

      Build an entry fetcher for the specified domain name.
      Specified by:
        `build` in interface `DANEEntryFetcherFactory`
      Parameters:
        `domainName` - the domain name of interest.
      Returns:
        a resolver for fetching entry's associated with domainName.